Bulk Message -- Send

Sends a bulk message to multiple recipients (up to 50).

This endpoint allows you to send the same message to multiple phone numbers. All existing logic (including spam checks, delivery behavior, and visibility in the Bulk Messages UI tab) will remain the same for API-triggered sends.

Important: Message sending is asynchronous. This endpoint creates the bulk message batch and returns immediately with success=True, indicating the batch was created successfully. Individual messages are sent in the background. To check the delivery status of individual recipients, use the GET /message/bulk/{id} endpoint to retrieve the batch with delivery status information (attempted_send, error_message, delivery_status fields per recipient).

Added on Dec 28, 2025 for API v2.

Rate limit: 1200 per minute.

Body Params
string
required

The phone number to use as sender (must belong to the user and be A2P-registered).

string | null

Base64-encoded media attachment for MMS (images/videos, max 500 KiB raw file size).

string
required

The message text content (required).

string | null

Optional title for the bulk message batch.

to_numbers
array of strings
required

List of phone numbers in E.164 format (max 50).

to_numbers*
int64 | null

The ID of the user who should be the sender. Defaults to authenticated user.

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json